GET /api/saved_objects/_find

Spaces method and path for this operation:

get /s/{space_id}/api/saved_objects/_find

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Searches for Kibana saved objects.

For transferring or backing up saved objects, prefer the export API (POST /api/saved_objects/_export).

Query parameters

  • per_page number

    The number of items per page.

    Minimum value is 0. Default value is 20.

  • page number

    The page index to return.

    Minimum value is 0. Default value is 1.

  • type array[string] Required

    The saved object type or types to search for. Use multiple type values to search across types.

    Not more than 100 elements.

  • default_search_operator string

    The boolean operator to use when combining multiple values.

    Values are OR or AND. Default value is OR.

  • search_fields array[string]

    The fields to search on.

    Not more than 100 elements.

  • sort_field string

    The field to sort on.

  • has_reference object | array[object]

    Return only saved objects that have a reference to the specified saved object(s).

  • has_reference_operator string

    The boolean operator to use when combining multiple values.

    Values are OR or AND. Default value is OR.

  • has_no_reference object | array[object]

    Return only saved objects that do not have a reference to the specified saved object(s).

  • has_no_reference_operator string

    The boolean operator to use when combining multiple values.

    Values are OR or AND. Default value is OR.

  • fields array[string]

    The fields to return for each saved object.

    Not more than 100 elements.

  • filter string

    A KQL filter to apply to the search.

  • aggs string

    Aggregations as a JSON string.

  • namespaces array[string]

    The namespaces (spaces) to search in.

    Not more than 100 elements.

Responses

  • 200 application/json

    A search response.

  • 400 application/json

    A bad request.

GET /api/saved_objects/_find
curl \
  -X GET "${KIBANA_URL}/api/saved_objects/_find?type=dashboard&fields=title&per_page=20&page=1" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/saved_objects/_find?type=dashboard&fields=title&per_page=20&page=1
Response examples (200)
{
  "page": 1,
  "per_page": 20,
  "saved_objects": [
    {
      "attributes": {
        "title": "Example dashboard 1"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzEsMV0="
    }
  ],
  "total": 1
}
Response examples (400)
{
  "error": "Bad Request",
  "message": "This type dashboard is not allowed: Bad Request",
  "statusCode": 400
}